Daemon Power

The NetBSD Packages Collection: converters/doc2html

Brief description of the package:
PERL external filter for htdig to convert numerous doc formats to HTML

Please read the file "DESCR" for a longer description, or browse the package's history.

The package is located in the "converters/doc2html" directory. The current source version of the package is "doc2html-3.0nb11". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for converters/doc2html :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: xlhtml-[0-9]* cwrappers>=20150314 rtf2html-[0-9]* xpdf-[0-9]* urw-fonts-[0-9]* poppler-utils-[0-9]* openjpeg>=2.1.0 lcms2>=2.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 tiff>=4.0.3nb5 png>=1.2.4 png>=1.6.0nb1 poppler>=0.87.0 nss>=3.43nb2 nspr>=4.25 nspr>=4.9.3.2 fontconfig>=2.11.91 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 cairo>=1.0.0nb2 Xrender>=0.2 x11-links>=1.31 osabi-NetBSD-9.0_STABLE xorgproto>=2016.1 Xrender>=0.8.2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.14 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.9.10nb2 xcb-proto>=1.4 lzo>=2.01 pixman>=0.30.0 pixman>=0.25.2 Xrender>=0.9.0nb1 fontconfig>=2.13.0 cairo>=1.16.0 boost-headers-1.73.* boost-jam-1.73.* poppler>=0.5.1 freetype2>=2.2.1 libXpm>=3.5.4.2 motif>=2.3.4 Xft2>=2.1 fontconfig>=2.2 Xrender>=0.9.0nb2 Xft2>=2.1nb2 Xft2>=2.1.7nb7 xbitmaps>=1.0 motif>=2.3.4nb8 catdoc-[0-9]* desktop-file-utils>=0.8 glib2>=2.4.0 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.3nb1 meson-[0-9]* ninja-build>=1.7 python37>=3.7 readline>=2.2 readline>=6.0 python37>=3.7.0 re2c>=0.11.3 py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7.8 glib2>=2.64.0nb1 desktop-file-utils>=0.10nb1 ghostscript>=6.01 ghostscript-agpl-[0-9]* ghostscript-fonts>=6.0 perl>=5.0 libcups>=1.1.19nb3 dbus>=0.91 xmlto-[0-9]* getopt-[0-9]* docbook-xsl>=1.67.0nb1 docbook-xml>=4.2 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 docbook-xml-[0-9]* docbook-xsl-[0-9]* libxslt>=1.1.34nb2 libpaper>=1.1.22 gnutls>=3.3.0 mozilla-rootcerts-[0-9]* gmp>=5.0 gmp>=4.2.1 gmp>=6.0 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.4.1 gmp>=5.0.1 nettle>=2.4 p11-kit>=0.23.1 mozilla-rootcerts>=1.0.20150804nb1 libtasn1>=0.3.0 p11-kit>=0.10 p11-kit>=0.23 libunistring>=0.9.3 libcfg+>=0.6.2nb3 nettle>=3.6 p11-kit>=0.23.15nb1 libunistring>=0.9.4 gnutls>=3.6.13nb2 freetype2>=2.10.0 libidn>=0.4.6 jbig2dec>=0.17 jbig2dec>=0.16 libcups>=2.3.3nb3 libidn>=1.20nb1 .

This package requires the following package(s) to run: xlhtml-[0-9]* rtf2html-[0-9]* xpdf-[0-9]* urw-fonts-[0-9]* poppler-utils-[0-9]* openjpeg>=2.1.0 lcms2>=2.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 tiff>=4.0.3nb5 png>=1.2.4 png>=1.6.0nb1 poppler>=0.87.0 nss>=3.43nb2 nspr>=4.25 nspr>=4.9.3.2 fontconfig>=2.11.91 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 cairo>=1.0.0nb2 Xrender>=0.2 Xrender>=0.8.2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 lzo>=2.01 pixman>=0.30.0 pixman>=0.25.2 Xrender>=0.9.0nb1 fontconfig>=2.13.0 cairo>=1.16.0 poppler>=0.5.1 freetype2>=2.2.1 libXpm>=3.5.4.2 motif>=2.3.4 Xft2>=2.1 fontconfig>=2.2 Xrender>=0.9.0nb2 Xft2>=2.1nb2 Xft2>=2.1.7nb7 motif>=2.3.4nb8 catdoc-[0-9]* desktop-file-utils>=0.8 glib2>=2.4.0 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.3nb1 python37>=3.7 python37>=3.7.0 glib2>=2.64.0nb1 desktop-file-utils>=0.10nb1 ghostscript>=6.01 ghostscript-agpl-[0-9]* ghostscript-fonts>=6.0 perl>=5.0 libcups>=1.1.19nb3 dbus>=0.91 libpaper>=1.1.22 gnutls>=3.3.0 mozilla-rootcerts-[0-9]* gmp>=5.0 gmp>=4.2.1 gmp>=6.0 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.4.1 gmp>=5.0.1 nettle>=2.4 p11-kit>=0.23.1 mozilla-rootcerts>=1.0.20150804nb1 libtasn1>=0.3.0 p11-kit>=0.10 p11-kit>=0.23 libunistring>=0.9.3 libcfg+>=0.6.2nb3 nettle>=3.6 p11-kit>=0.23.15nb1 libunistring>=0.9.4 gnutls>=3.6.13nb2 freetype2>=2.10.0 libidn>=0.4.6 jbig2dec>=0.17 jbig2dec>=0.16 libcups>=2.3.3nb3 libidn>=1.20nb1 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
aarch64:doc2html-3.0nb11.tgz(NetBSD 9.0)
aarch64:doc2html-3.0nb11.tgz(NetBSD 9.0)
aarch64:doc2html-3.0nb11.tgz(NetBSD 9.0)
alpha:doc2html-3.0nb11.tgz(NetBSD 8.0)
alpha:doc2html-3.0nb11.tgz(NetBSD 9.0)
earm:doc2html-3.0nb8.tgz(NetBSD 7.0)
earmv6hf:doc2html-3.0nb11.tgz(NetBSD 9.0)
earmv7hf:doc2html-3.0nb11.tgz(NetBSD 9.0)
earmv7hf:doc2html-3.0nb11.tgz(NetBSD 9.0)
earmv7hf:doc2html-3.0nb11.tgz(NetBSD 9.0)
i386:doc2html-3.0nb6.tgz(MirBSD 10)
i386:doc2html-3.0nb11.tgz(NetBSD 9.0)
i386:doc2html-3.0nb11.tgz(NetBSD 7.0)
i386:doc2html-3.0nb11.tgz(NetBSD 7.1)
i386:doc2html-3.0nb11.tgz(NetBSD 8.0)
i386:doc2html-3.0nb11.tgz(NetBSD 9.0)
i386:doc2html-3.0nb11.tgz(NetBSD 9.0)
i386:doc2html-3.0nb11.tgz(NetBSD 9.0)
powerpc:doc2html-3.0nb10.tgz(NetBSD 7.1)
powerpc:doc2html-3.0nb10.tgz(NetBSD 7.1)
powerpc:doc2html-3.0nb11.tgz(NetBSD 9.0)
sparc64:doc2html-3.0nb11.tgz(NetBSD 8.0)
sparc64:doc2html-3.0nb11.tgz(NetBSD 9.0)
x86_64:doc2html-3.0nb11.tgz(NetBSD 9.0)
x86_64:doc2html-3.0nb11.tgz(NetBSD 9.0)
x86_64:doc2html-3.0nb11.tgz(NetBSD 7.0)
x86_64:doc2html-3.0nb11.tgz(NetBSD 7.1)
x86_64:doc2html-3.0nb11.tgz(NetBSD 8.0)
x86_64:doc2html-3.0nb11.tgz(NetBSD 9.0)
x86_64:doc2html-3.0nb11.tgz(NetBSD 9.0)
x86_64:doc2html-3.0nb11.tgz(NetBSD 9.0)
x86_64:doc2html-3.0nb11.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]